{% extends '@ElbotradeLayout/Layout/base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    <link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradeproduct/stylesheets/colorbox.css') }}"/>
    <link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradecatalog/stylesheets/style_catalog.css') }}"/>
    <script src="{{ asset('bundles/elbotradeproduct/js/jquery.colorbox-min.js') }}"></script>
{% endblock %}

{% block header %}
    {% set active = 'catalog' %}
    {{ parent() }}
{% endblock %}

{% block content %}
    <main class="text-center">
        <!--Section 1-->
        <section class="well-xs">
            <div class="container container-wide">

                <div class="row center-block">
                    {% for catalog in catalogs %}
                        <div class="col-sm-2 item">
                            {% thumbnail catalog.firstImage, 'small' %}
                            <div class="pull-left overlay">
                                <a class="icon icon-xs fa-download" {% if catalog.pdf is not null %}target="_blank" href="{% path catalog.pdf, 'reference' %}"{% else %}disabled="disabled"{% endif %}></a>
                                <a class="catalog icon icon-xs fa-eye" href="{{ path('elbotrade-catalog-show', {'id': catalog.id}) }}"></a>
                            </div>
                            <p>{{ catalog }}</p>
                        </div>
                    {% endfor %}
                </div>
            </div>
        </section>
    </main>
{% endblock %}

{% block javascripts %}
    <script src="{{ asset('bundles/elbotradelayout/js/jquery.fancybox.js') }}"></script>
    <link type="text/css" rel="stylesheet" href="{{ asset('bundles/elbotradelayout/css/jquery.fancybox.css') }}"/>
    <script type="text/javascript">
        $(document).ready(function () {
            $(".catalog").fancybox({
                width: "95%",
                height: "98%",
                type: "iframe"
            });
        })
    </script>
{% endblock %}